name: household_budget_survey

description: The "Household Budget Survey" app is an application developed by
  Statistics Netherlands (Centraal Bureau voor de Statistiek) and several other
  European National Statistical Institutes, as part of the ESSnet Smart Surveys
  initiative. Its primary objective is to facilitate the collection of
  expenditure data for the purpose of generating comprehensive national
  statistics.

publish_to: "none"

version: 0.1.1+3

environment:
  sdk: ^3.5.0

dependencies:
  auto_size_text: ^3.0.0
  camera: ^0.11.0+1
  collection: ^1.18.0
  csv: ^6.0.0

  cupertino_icons: ^1.0.2
  device_info_plus: ^10.1.1
  dotted_border: ^2.1.0
  draggable_scrollbar: ^0.1.0
  drift: ^2.19.1
  drift_db_viewer: ^2.1.0
  easy_image_viewer: ^1.5.1
  edit_distance: ^0.5.0-nullsafety.0
  flutter:
    sdk: flutter
  flutter_localization: ^0.2.1
  flutter_svg: ^2.0.10+1
  font_awesome_flutter: ^10.7.0
  get_it: ^7.2.0
  intl: ^0.19.0
  json_annotation: ^4.8.0
  package_info_plus: ^8.0.1
  path_provider: ^2.0.14
  permission_handler: ^11.3.1
  provider: ^6.0.5
  shared_preferences: ^2.3.1
  simple_gesture_detector: ^0.2.0
  smooth_page_indicator: ^1.1.0
  sqflite: ^2.2.6
  sqlite3_flutter_libs: ^0.5.13
  toast: ^0.3.0
  url_launcher: ^6.2.5
  uuid: ^4.4.2

dev_dependencies:
  build_runner: ^2.4.12
  drift_dev: ^2.19.1

  flutter_lints: ^4.0.0
  flutter_test:
    sdk: flutter
  json_serializable: ^6.8.0

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/coicop_hierarchy/
    - assets/coicop_products/
    - assets/shops/
    - assets/translations/
    - assets/images/
    - assets/images/overview_page/
    - assets/images/app_tour/
    - assets/images/onboarding/
  fonts:
    - family: SohoPro
      fonts:
        - asset: assets/fonts/SohoPro-Regular.ttf
        - asset: assets/fonts/SohoPro-Medium.ttf
        - asset: assets/fonts/SohoPro-Light.ttf
    - family: AkkoPro
      fonts:
        - asset: assets/fonts/AkkoPro-Regular.ttf
        - asset: assets/fonts/AkkoPro-Light.ttf
